#!/bin/sh

# eeprom_bootcount_inc.sh

d=$(dirname "$0")

# includes:
. ${d}/eeprom_bootcount_include.sh

echo -n -e \\x$(printf '%x' $((1 + $(dd if=${nvmem} bs=1 count=1 skip=${addr} 2>/dev/null | hexdump -e '/1 "%d\n"') )) ) | dd of=${nvmem} bs=1 count=1 seek=${addr} 2>/dev/null

